oled_ssd1306.h File Reference

SSD1306 OLED library (API) More...

Go to the source code of this file.

## Functions

bool | oled_ssd1306_setup (void)
| setup OLED display More...
void | oled_ssd1306_on (void)
| switch OLED display on
void | oled_ssd1306_off (void)
| switch OLED display off
void | oled_ssd1306_test (void)
| test OLED display: switch entire screen on for a brief time
void | oled_ssd1306_display (const uint8_t *display_data, uint16_t display_length)
| send data to display to OLED display More...

## Detailed Description

SSD1306 OLED library (API)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2018

Note
  peripherals used: I2C I2C peripheral to communicate with the SSD1306 OLED

Definition in file oled_ssd1306.h.

## Function Documentation

## oled_ssd1306_display()

void oled_ssd1306_display | ( | const uint8_t * | display_data,
|  | uint16_t | display_length
| ) |  |

send data to display to OLED display

Parameters

  [in] | display_data | data to display (first byte is left column, MSb is top pixel, warps pages)
  [in] | display_length | length of data to display

Definition at line 109 of file oled_ssd1306.c.

## oled_ssd1306_setup()

bool oled_ssd1306_setup | ( | void |  | ) |

setup OLED display

Returns
  if the display setup is successful, else the display is probably not on the I2C bus

Definition at line 43 of file oled_ssd1306.c.